@testset "fit" begin
    filepath = joinpath(@__DIR__, "..", "example", "data", "Malitson.csv")
    λ, ε = SellmeierFit.read(filepath)
    λmin, λmax = first(λ), last(λ)

    (; mdl, err) = fit_sellmeier(λ, ε)
    @test err ≤ 1e-13

    @test mdl == fit_sellmeier(λ, ε; λmin, λmax).mdl
    @test mdl == fit_sellmeier(filepath).mdl
    @test mdl == fit_sellmeier(filepath; λmin, λmax).mdl

    @test mdl == fit_sellmeier(λ, ε, 3).mdl
    @test mdl == fit_sellmeier(λ, ε, 3; λmin, λmax).mdl
    @test mdl == fit_sellmeier(λ, ε, Val(3)).mdl
    @test mdl == fit_sellmeier(λ, ε, Val(3); λmin, λmax).mdl
    @test mdl == fit_sellmeier(filepath, Val(3)).mdl
    @test mdl == fit_sellmeier(filepath, Val(3); λmin, λmax).mdl

    @test mdl == fit_sellmeier(λ, ε, 2, 1).mdl
    @test mdl == fit_sellmeier(λ, ε, 2, 1; λmin, λmax).mdl
    @test mdl == fit_sellmeier(filepath, 2, 1).mdl
    @test mdl == fit_sellmeier(filepath, 2, 1; λmin, λmax).mdl
end  # @testset "fit"
